//
//  ExtImage/ExtImageCache.h
//  ViewIt
//
//  Created by Zdzisiek on 20/09/2004.
//  Copyright 2004 HexCat. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ExtImage/ExtImage.h"

@interface ExtImageCache : NSObject

- (void)discardCachedImages;

- (ExtImage *)cachedImageAtPath:(NSString *)thePath;

- (ExtImage *)freshImageAtPath:(NSString *)thePath;

- (void)precacheQueneAddImagePath:(NSString *)path withExtImageAttribs:(NSDictionary *)extImageAtrrsDict;

- (void)flushPrecacheQuene;

- (BOOL)cacheNextObjectsFromPrecacheQuene;

- (void)setMaxImageCount:(NSInteger)maxImageCount;

@end
